package repositories

import (
	"fmt"
	"ocl/portainer-devtool/commands"
	"ocl/portainer-devtool/utils"
)

type PortainerEE struct {
	WorkDir     string
	FrontendDir string
	BackendDir  string
}

func NewPortainerEERepository() *PortainerEE {
	repo := &PortainerEE{
		WorkDir: "/home/oscarzhou/source/github.com/portainer/portainer-ee",
	}

	utils.HighlightPrint("Your portainer EE repository work directory is ")
	fmt.Println(repo.WorkDir)

	return repo
}

func (repo *PortainerEE) Execute() error {
	err := commands.ListBranches(repo.WorkDir)
	if err != nil {
		return err
	}

	if !utils.PromptContinue() {
		return nil
	}

	return nil
}
